/* ``The contents of this file are subject to the Erlang Public License,
 * Version 1.0, (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License at
 * http://www.erlang.org/EPL1_0.txt
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
 * the License for the specific language governing rights and limitations
 * under the License.
 * 
 * The Original Code is Erlang-4.7.3, December, 1998.
 * 
 * The Initial Developer of the Original Code is Ericsson Telecom
 * AB. Portions created by Ericsson are Copyright (C), 1998, Ericsson
 * Telecom AB. All Rights Reserved.
 * 
 * Contributor(s): ______________________________________.''
 */
#include <stdio.h>

/*
** Write pid on output descriptor and exec the program
** given as argument
*/

main(argc, argv) 
int argc; char** argv;
{
    char pid_buf[8];

    /* emit the pid */
    sprintf(pid_buf, "%d", getpid());
    write(1, pid_buf, strlen(pid_buf));

    /* execute */
    if ( argv[1][0] == '/' )  /* Absolute path given ? */
      execv( argv[1] , &argv[1] );
    else 
      execvp( argv[1] , &argv[1] );
    exit(1);
}
